[SRU] Meta bug for tracking Openstack 2013.2.2

Bug #1284643 reported by Chuck Short on 2014-02-25
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu Cloud Archive
Undecided
Unassigned
ceilometer (Ubuntu)
Undecided
Unassigned
Saucy
Undecided
Unassigned
cinder (Ubuntu)
Undecided
Unassigned
Saucy
Undecided
Unassigned
glance (Ubuntu)
Undecided
Unassigned
Saucy
Undecided
Unassigned
heat (Ubuntu)
Saucy
Undecided
Unassigned
horizon (Ubuntu)
Undecided
Unassigned
Saucy
Undecided
Unassigned
keystone (Ubuntu)
Undecided
Unassigned
Saucy
Undecided
Unassigned
neutron (Ubuntu)
Undecided
Unassigned
Saucy
Undecided
Unassigned
nova (Ubuntu)
Undecided
Unassigned
Saucy
Undecided
Unassigned

Bug Description

 neutron (1:2013.2.2-0ubuntu1) saucy-proposed; urgency=low
 .
   * Resynchronize with stable/havana (3c9fc6f) (LP: #1284643):
     - [3f4c282] reduce severity of network notfound trace when looked up by
       dhcp agent LP: 1251874
     - [7a4842d] Mellanox Neutron Agent is using keystone port LP: 1245885
     - [aa2502b] check_nvp_config.py erroneous config complaint LP: 1265353
     - [94679f1] uncaught portnotfound exception on get_dhcp_port LP: 1252437
     - [5bbc2f0] devstack-exercises floating_ips broken LP: 1262785
     - [3738343] [neutron bandwidth metering] When I delete a label, router's
       tenant_id disappeared. LP: 1249188
     - [e631e89] dhcp dnsmasq lost port in host config file LP: 1192381
     - [5f959d7] tenant does not see network that is routable from tenant-
       visible network until neutron-server is restarted LP: 1254555
     - [c7596bf] Remove and recreate interface in ovs if already exists
       LP: 1268762
     - [711106a] Multiple Neutron operations using a script fails on Brocade
       Plugin LP: 1223754
     - [927e8a6] Should RPC consume_in_thread() be more fault tolerant?
       LP: 1189711
     - [15a912b] neutron-metadata-agent incorrectly passes keystone token to
       neutronclient LP: 1274487
     - [4265436] Have tox install via setup.py develop
     - [a72ab24] nicira: error occurs when net-gateway-connect with different
       segmentation-type LP: 1270724
     - [3c9fc6f] improve version validation for router operations with the
       nsx/nvp plugin LP: 1274361

 heat (2013.2.2-0ubuntu1) saucy-proposed; urgency=low
 .
   * Resynchronize with stable/havana (9279833) (LP: #1284643):
     - [2beab02] Server create should never fail, even if resource name exceeds
       63 characters LP: 1250291
     - [4ca7941] the aws loadbalancer use Fedora 17 and needs to be upgraded to
       f18 or f19 LP: 1234375
     - [e483b38] Fn::Select raises transient errors on mutable structures
       LP: 1243958
     - [6fa3c8f] DependsOn only supports specifying a single value LP: 1235496
     - [ec4ed57] Failure after the update of a suspended stack LP: 1234242
     - [50dc14a] Please use "python -m coverage" instead of /usr/bin/coverage
       LP: 1241330
     - [4d213f8] Stacks can get stuck DELETE_COMPLETE LP: 1247200
     - [ab5d961] Stacks can get stuck DELETE_COMPLETE LP: 1247200
     - [9279833] Stacks can get stuck DELETE_COMPLETE LP: 1247200
   * d/control: Add new BD on python-testscenarios.

 cinder (1:2013.2.2-0ubuntu1) saucy-proposed; urgency=low
 .
   * Resynchronize with stable/havana (67e4b38) (LP: #1284643):
     - [ec8ce6c] rate-limiting doesn't work LP: 1259957
     - [5228001] Cinder Migrate from NFS fails due to nfs_mount_point_base not
       being provided LP: 1238085
     - [ace214a] migrate_volume dest_vg existence is wrong LP: 1258203
     - [36b7596] lvm_mirrors in volume_migration should be converted to int
       LP: 1258133
     - [6687331] NFS/GlusterFS drivers should validate format of configured
       shares LP: 1267253
     - [3d967e0] Copy image to volume iSCSI multipath doesn't work properly if
       there are different targets associated with different portals for a
       mulitpath device. LP: 1266048
     - [77fade5] NetApp cinder driver reports 0 free space for the first 60
       seconds LP: 1253660
     - [f02d4fe] GlusterFS: allow snapshot_delete when snapshot info does not
       exist LP: 1252864
     - [240c81d] GlusterFS: Use correct base argument when deleting attached
       snaps LP: 1262880
     - [4470fdb] No notification sent deleting a volume that doesn't have a real
       backing volume LP: 1257053
     - [f9e1943] cinder does not handle missing volume group gracefully (stuck
       in "creating") LP: 1242942
     - [67e4b38] LVM brick instantiation fails on volume_migration LP: 1258128

 ceilometer (2013.2.2-0ubuntu1) saucy-proposed; urgency=low
 .
   * Resynchronize with stable/havana (9149861) (LP: #1284643):
     - [a3da4dc] instance.scheduled meter is never persisted LP: 1262255
     - [3089be8] first & last sample timestamps not included in the Resource
       representation LP: 1262335
     - [ef71dc6] cardinality of storage.models.Resource.meter attribute is one-
       per-sample LP: 1267162
     - [16eb199] pep8 gating fails due to tools/config/check_uptodate.sh
       LP: 1268614
     - [df7ff3b] ceilometer-agent-compute not working when using instances are
       directly using volumes as backend LP: 1233103
     - [6524bf3] mongo aggregation pipeline for resource retrieval fails with
       excessive memory use LP: 1262571
     - [28a2307] Can not create alarm successfully according to examples in
       community LP: 1245362
     - [51328a3] Add keystone_authtoken.enforce_token_bind boilerplate
     - [9149861] Pipeline configuration is missing from doc LP: 1272988

 nova (1:2013.2.2-0ubuntu1) saucy-proposed; urgency=low
 .
   * Resynchronize with stable/havana (bcdc813) (LP: #1284643):
     - [251a940] RBD backed instance can't shutdown and restart LP: 1245719
     - [99febf6] Live upgrade from Havana broken by commit 62e9829 LP: 1258256
     - [1379f65] DoS attack via setting os_type in snapshots (CVE-2013-6437)
       LP: 1253980
     - [6ad8842] Compute rpc breaks live upgrade from havana to icehouse
       LP: 1258253
     - [311c786] Compute rpc breaks live upgrade from havana to icehouse
       LP: 1258253
     - [c91ad01] VM do not resume if attach an volume when suspended LP: 1241337
     - [e7b2e3a] Grizzly -> Havana nova upgrade failure: Cannot drop index
       'instance_uuid' LP: 1245502
     - [3ef8611] [OSSA 2014-001] Insecure directory permissions with snapshot
       code (CVE-2013-7048) LP: 1227027
     - [d222d2a] test_different_fname_concurrency flakey fail LP: 1270654
     - [1a3985c] unit test failure in gate
       nova.tests.db.test_sqlite.TestSqlite.test_big_int_mapping LP: 1271331
     - [950440b] _last_vol_usage_poll was not properly updated LP: 1270693
     - [05dfdb9] support stevedore >= 0.14
     - [662c762] VMware: unnecesary session termination LP: 1265512
     - [6da22e2] libvirt wait_for_block_job_info can infinitely loop LP: 1260123
     - [6ed48aa] update security group raise HttpError500 exception LP: 1244018
     - [04209bf] publish_errors cfg option is broken LP: 1240349
     - [4f947f5] UnboundLocalError: local variable 'network_name' referenced
       before assignment LP: 1246258
     - [442fb63] Security Group extension reads all Neutron ports for anything
       other that a single server LP: 1228384
     - [7620252] [OSSA 2014-003] Live migration can leak root disk into
       ephemeral storage (CVE-2013-7130) LP: 1251590
     - [5cb4d55] Errored instance can't be deleted if volume deleted first
       LP: 1222979
     - [c09a51c] live migration fails when using non-image backed disk
       LP: 1257355
     - [a3d861f] Network cache not correctly updated during "interface-attach"
       LP: 1223859
     - [2c44ed7] vmware driver does not work with more than one datacenter in vC
       LP: 1214850
     - [abacc29] nova compute hang with file injection off, config drive off,
       neutron networking LP: 1276268
     - [2abcc4e] boto 2.25 causing unit tests to fail LP: 1277790
     - [bcdc813] NoopQuotaDriver returns usages incorrect format LP: 1244842

 keystone (1:2013.2.2-0ubuntu1) saucy-proposed; urgency=low
 .
   [ Chuck Short ]
   * Resynchronize with stable/havana (c22f2ed) (LP: #1284643):
     - [cecee8e] Keystone doesn't handle UTF8 in exceptions LP: 1253905
     - [2e9782b] Keystone doesn't handle UTF8 in exceptions LP: 1253905
     - [1091445] Have tox use pip upgrade when installing
     - [2724951] Orphan exchanges in Qpid and lack of option for making queues
       [un]durable LP: 1178375
     - [a5c7d23] List Trusts generates HTTP Error 500 LP: 1245590
     - [bd23600] publish_errors cfg option is broken LP: 1240349
     - [987e18e] Adds fixture package from oslo
     - [73968f7] Some Python requirements are not hosted on PyPI LP: 1266513
     - [9056b66] keystone.token.backends.sql list_revoked_tokens performs very
       poorly LP: 1253755
     - [c22f2ed] _update_user_list_with_cas causes significant overhead (when
       using memcached as token store backend) LP: 1251123
 .
   [ James Page ]
   * d/control: Add new BD on python-fixtures.

 glance (1:2013.2.2-0ubuntu1) saucy-proposed; urgency=low
 .
   * Resynchronize with stable/havana (9d89b8e) (LP: #1284643):
     - [1a9e0e9] protected property change not rejected if a subsequent rule
       match accepts them LP: 1271426
     - [1982ca2] Openstack Glance: user_total_quota calculated incorrectly
       LP: 1261738
     - [edcbdf9] sensitive info in image location is logged when authentication
       to single tenant swift store fails LP: 1275062

 horizon (1:2013.2.2-0ubuntu1) saucy-proposed; urgency=low
 .
   [ Chuck Short ]
   * Resynchronize with stable/havana (36e0ab5) (LP: #1284643):
     - [e73ff07] run_tests.sh fails with a fresh venv due to django 1.6
       installed LP: 1250581
     - [3e93b54] Email shouldn't be a mandatory attribute LP: 1260423
     - [2c1f1f3] Wrap call to extension_supported on Launch Instance with
       try/except LP: 1262223
     - [2e11482] Unit tests failing with raise
       UnknownMethodCallError('management_url') LP: 1268631
     - [c6d38a1] Metering dashboard. Marker could not be found (havana)
       LP: 1260528
     - [2b6dfa7] keypairs can not have an '@' sign in the name LP: 1265563
     - [8ba7780] Cannot see confirmation message when working on longer pages
       LP: 1251361
     - [edd8ee4] fix help text in "Create An image" window
     - [aa55b24] Inconsistance between horizon and django_openstack_auth default
       keystone version LP: 1231357
     - [7a8eadc] LBaaS. HealthMonitor representation should be improved
       LP: 1237377
     - [02e7b6e] "neutron lb-pool-list" running by admin returns also non-admin
       load balancer pools which appear later in horizon's admin project
       LP: 1244126
     - [5520d65] create volume option is shown, even without cinder enabled
       LP: 1267438
     - [5b970a5] .tx/config in havana needs to catch up with Transifex resource
       renaming LP: 1274005
     - [6508afd] when creating instance,access security and networking tabs
       missing asterisk LP: 1252005
     - [96bd650] timeout logic causes logout when load balanced LP: 1243277
     - [36e0ab5] Import translations for Havana 2013.2.2 update
 .
   [ James Page ]
   * d/static/*: Refreshed for new upstream release.

Chuck Short (zulcss) on 2014-02-25
description: updated
description: updated
Chuck Short (zulcss) on 2014-02-25
no longer affects: heat (Ubuntu)
James Page (james-page) on 2014-02-25
summary: - Meta bug for tracking Openstack 2013.2.2 Stable Update Edit
+ [SRU] Meta bug for tracking Openstack 2013.2.2
James Page (james-page) on 2014-02-26
description: updated
Changed in ceilometer (Ubuntu):
status: New → Invalid
Changed in cinder (Ubuntu):
status: New → Invalid
Changed in glance (Ubuntu):
status: New → Invalid
Changed in horizon (Ubuntu):
status: New → Invalid
Changed in keystone (Ubuntu):
status: New → Invalid
Changed in neutron (Ubuntu):
status: New → Invalid
Changed in nova (Ubuntu):
status: New → Invalid

Hello Chuck, or anyone else affected,

Accepted nova into saucy-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/nova/1:2013.2.2-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in nova (Ubuntu Saucy):
status: New → Fix Committed
tags: added: verification-needed
Changed in heat (Ubuntu Saucy):
status: New → Fix Committed
Dave Walker (davewalker) wrote :

Hello Chuck, or anyone else affected,

Accepted heat into saucy-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/heat/2013.2.2-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in ceilometer (Ubuntu Saucy):
status: New → Fix Committed
Dave Walker (davewalker) wrote :

Hello Chuck, or anyone else affected,

Accepted ceilometer into saucy-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/ceilometer/2013.2.2-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in neutron (Ubuntu Saucy):
status: New → Fix Committed
Dave Walker (davewalker) wrote :

Hello Chuck, or anyone else affected,

Accepted neutron into saucy-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/neutron/1:2013.2.2-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in keystone (Ubuntu Saucy):
status: New → Fix Committed
Dave Walker (davewalker) wrote :

Hello Chuck, or anyone else affected,

Accepted keystone into saucy-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/keystone/1:2013.2.2-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in glance (Ubuntu Saucy):
status: New → Fix Committed
Dave Walker (davewalker) wrote :

Hello Chuck, or anyone else affected,

Accepted glance into saucy-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/glance/1:2013.2.2-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in horizon (Ubuntu Saucy):
status: New → Fix Committed
Dave Walker (davewalker) wrote :

Hello Chuck, or anyone else affected,

Accepted horizon into saucy-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/horizon/1:2013.2.2-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in cinder (Ubuntu Saucy):
status: New → Fix Committed
Dave Walker (davewalker) wrote :

Hello Chuck, or anyone else affected,

Accepted cinder into saucy-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/cinder/1:2013.2.2-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

James Page (james-page) wrote :

Verification results for all three target topologies (cinder-iscsi, cinder-ceph, quantum)

All successful.

tags: added: verification-done
removed: verification-needed
James Page (james-page) wrote :

All test scenarios pass for the havana-proposed pocket for the Ubuntu Cloud Archive on 12.04

Changed in cloud-archive:
status: New → Fix Committed

The verification of the Stable Release Update for nova has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ceilometer - 2013.2.2-0ubuntu1

---------------
ceilometer (2013.2.2-0ubuntu1) saucy-proposed; urgency=low

  * Resynchronize with stable/havana (9149861) (LP: #1284643):
    - [a3da4dc] instance.scheduled meter is never persisted LP: 1262255
    - [3089be8] first & last sample timestamps not included in the Resource
      representation LP: 1262335
    - [ef71dc6] cardinality of storage.models.Resource.meter attribute is one-
      per-sample LP: 1267162
    - [16eb199] pep8 gating fails due to tools/config/check_uptodate.sh
      LP: 1268614
    - [df7ff3b] ceilometer-agent-compute not working when using instances are
      directly using volumes as backend LP: 1233103
    - [6524bf3] mongo aggregation pipeline for resource retrieval fails with
      excessive memory use LP: 1262571
    - [28a2307] Can not create alarm successfully according to examples in
      community LP: 1245362
    - [51328a3] Add keystone_authtoken.enforce_token_bind boilerplate
    - [9149861] Pipeline configuration is missing from doc LP: 1272988
 -- James Page <email address hidden> Wed, 26 Feb 2014 09:06:20 +0000

Changed in ceilometer (Ubuntu Saucy):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package heat - 2013.2.2-0ubuntu1

---------------
heat (2013.2.2-0ubuntu1) saucy-proposed; urgency=low

  * Resynchronize with stable/havana (9279833) (LP: #1284643):
    - [2beab02] Server create should never fail, even if resource name exceeds
      63 characters LP: 1250291
    - [4ca7941] the aws loadbalancer use Fedora 17 and needs to be upgraded to
      f18 or f19 LP: 1234375
    - [e483b38] Fn::Select raises transient errors on mutable structures
      LP: 1243958
    - [6fa3c8f] DependsOn only supports specifying a single value LP: 1235496
    - [ec4ed57] Failure after the update of a suspended stack LP: 1234242
    - [50dc14a] Please use "python -m coverage" instead of /usr/bin/coverage
      LP: 1241330
    - [4d213f8] Stacks can get stuck DELETE_COMPLETE LP: 1247200
    - [ab5d961] Stacks can get stuck DELETE_COMPLETE LP: 1247200
    - [9279833] Stacks can get stuck DELETE_COMPLETE LP: 1247200
  * d/control: Add new BD on python-testscenarios.
 -- James Page <email address hidden> Wed, 26 Feb 2014 09:02:56 +0000

Changed in heat (Ubuntu Saucy):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package keystone - 1:2013.2.2-0ubuntu1

---------------
keystone (1:2013.2.2-0ubuntu1) saucy-proposed; urgency=low

  [ Chuck Short ]
  * Resynchronize with stable/havana (c22f2ed) (LP: #1284643):
    - [cecee8e] Keystone doesn't handle UTF8 in exceptions LP: 1253905
    - [2e9782b] Keystone doesn't handle UTF8 in exceptions LP: 1253905
    - [1091445] Have tox use pip upgrade when installing
    - [2724951] Orphan exchanges in Qpid and lack of option for making queues
      [un]durable LP: 1178375
    - [a5c7d23] List Trusts generates HTTP Error 500 LP: 1245590
    - [bd23600] publish_errors cfg option is broken LP: 1240349
    - [987e18e] Adds fixture package from oslo
    - [73968f7] Some Python requirements are not hosted on PyPI LP: 1266513
    - [9056b66] keystone.token.backends.sql list_revoked_tokens performs very
      poorly LP: 1253755
    - [c22f2ed] _update_user_list_with_cas causes significant overhead (when
      using memcached as token store backend) LP: 1251123

  [ James Page ]
  * d/control: Add new BD on python-fixtures.
 -- Chuck Short <email address hidden> Tue, 25 Feb 2014 09:41:56 -0500

Changed in keystone (Ubuntu Saucy):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package horizon - 1:2013.2.2-0ubuntu1

---------------
horizon (1:2013.2.2-0ubuntu1) saucy-proposed; urgency=low

  [ Chuck Short ]
  * Resynchronize with stable/havana (36e0ab5) (LP: #1284643):
    - [e73ff07] run_tests.sh fails with a fresh venv due to django 1.6
      installed LP: 1250581
    - [3e93b54] Email shouldn't be a mandatory attribute LP: 1260423
    - [2c1f1f3] Wrap call to extension_supported on Launch Instance with
      try/except LP: 1262223
    - [2e11482] Unit tests failing with raise
      UnknownMethodCallError('management_url') LP: 1268631
    - [c6d38a1] Metering dashboard. Marker could not be found (havana)
      LP: 1260528
    - [2b6dfa7] keypairs can not have an '@' sign in the name LP: 1265563
    - [8ba7780] Cannot see confirmation message when working on longer pages
      LP: 1251361
    - [edd8ee4] fix help text in "Create An image" window
    - [aa55b24] Inconsistance between horizon and django_openstack_auth default
      keystone version LP: 1231357
    - [7a8eadc] LBaaS. HealthMonitor representation should be improved
      LP: 1237377
    - [02e7b6e] "neutron lb-pool-list" running by admin returns also non-admin
      load balancer pools which appear later in horizon's admin project
      LP: 1244126
    - [5520d65] create volume option is shown, even without cinder enabled
      LP: 1267438
    - [5b970a5] .tx/config in havana needs to catch up with Transifex resource
      renaming LP: 1274005
    - [6508afd] when creating instance,access security and networking tabs
      missing asterisk LP: 1252005
    - [96bd650] timeout logic causes logout when load balanced LP: 1243277
    - [36e0ab5] Import translations for Havana 2013.2.2 update

  [ James Page ]
  * d/static/*: Refreshed for new upstream release.
 -- Chuck Short <email address hidden> Tue, 25 Feb 2014 09:19:08 -0500

Changed in horizon (Ubuntu Saucy):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cinder - 1:2013.2.2-0ubuntu1

---------------
cinder (1:2013.2.2-0ubuntu1) saucy-proposed; urgency=low

  * Resynchronize with stable/havana (67e4b38) (LP: #1284643):
    - [ec8ce6c] rate-limiting doesn't work LP: 1259957
    - [5228001] Cinder Migrate from NFS fails due to nfs_mount_point_base not
      being provided LP: 1238085
    - [ace214a] migrate_volume dest_vg existence is wrong LP: 1258203
    - [36b7596] lvm_mirrors in volume_migration should be converted to int
      LP: 1258133
    - [6687331] NFS/GlusterFS drivers should validate format of configured
      shares LP: 1267253
    - [3d967e0] Copy image to volume iSCSI multipath doesn't work properly if
      there are different targets associated with different portals for a
      mulitpath device. LP: 1266048
    - [77fade5] NetApp cinder driver reports 0 free space for the first 60
      seconds LP: 1253660
    - [f02d4fe] GlusterFS: allow snapshot_delete when snapshot info does not
      exist LP: 1252864
    - [240c81d] GlusterFS: Use correct base argument when deleting attached
      snaps LP: 1262880
    - [4470fdb] No notification sent deleting a volume that doesn't have a real
      backing volume LP: 1257053
    - [f9e1943] cinder does not handle missing volume group gracefully (stuck
      in "creating") LP: 1242942
    - [67e4b38] LVM brick instantiation fails on volume_migration LP: 1258128
 -- Chuck Short <email address hidden> Tue, 25 Feb 2014 08:57:25 -0500

Changed in cinder (Ubuntu Saucy):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package glance - 1:2013.2.2-0ubuntu1

---------------
glance (1:2013.2.2-0ubuntu1) saucy-proposed; urgency=low

  * Resynchronize with stable/havana (9d89b8e) (LP: #1284643):
    - [1a9e0e9] protected property change not rejected if a subsequent rule
      match accepts them LP: 1271426
    - [1982ca2] Openstack Glance: user_total_quota calculated incorrectly
      LP: 1261738
    - [edcbdf9] sensitive info in image location is logged when authentication
      to single tenant swift store fails LP: 1275062
 -- Chuck Short <email address hidden> Tue, 25 Feb 2014 09:07:05 -0500

Changed in glance (Ubuntu Saucy):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package neutron - 1:2013.2.2-0ubuntu1

---------------
neutron (1:2013.2.2-0ubuntu1) saucy-proposed; urgency=low

  * Resynchronize with stable/havana (3c9fc6f) (LP: #1284643):
    - [3f4c282] reduce severity of network notfound trace when looked up by
      dhcp agent LP: 1251874
    - [7a4842d] Mellanox Neutron Agent is using keystone port LP: 1245885
    - [aa2502b] check_nvp_config.py erroneous config complaint LP: 1265353
    - [94679f1] uncaught portnotfound exception on get_dhcp_port LP: 1252437
    - [5bbc2f0] devstack-exercises floating_ips broken LP: 1262785
    - [3738343] [neutron bandwidth metering] When I delete a label, router's
      tenant_id disappeared. LP: 1249188
    - [e631e89] dhcp dnsmasq lost port in host config file LP: 1192381
    - [5f959d7] tenant does not see network that is routable from tenant-
      visible network until neutron-server is restarted LP: 1254555
    - [c7596bf] Remove and recreate interfacein ovs if already exists
      LP: 1268762
    - [711106a] Multiple Neutron operations using a script fails on Brocade
      Plugin LP: 1223754
    - [927e8a6] Should RPC consume_in_thread() be more fault tolerant?
      LP: 1189711
    - [15a912b] neutron-metadata-agent incorrectly passes keystone token to
      neutronclient LP: 1274487
    - [4265436] Have tox install via setup.py develop
    - [a72ab24] nicira: error occurs when net-gateway-connect with different
      segmentation-type LP: 1270724
    - [3c9fc6f] improve version validation for router operations with the
      nsx/nvp plugin LP: 1274361
 -- Chuck Short <email address hidden> Tue, 25 Feb 2014 09:32:04 -0500

Changed in neutron (Ubuntu Saucy):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nova - 1:2013.2.2-0ubuntu1

---------------
nova (1:2013.2.2-0ubuntu1) saucy-proposed; urgency=low

  * Resynchronize with stable/havana (bcdc813) (LP: #1284643):
    - [251a940] RBD backed instance can't shutdown and restart LP: 1245719
    - [99febf6] Live upgrade from Havana broken by commit 62e9829 LP: 1258256
    - [1379f65] DoS attack via setting os_type in snapshots (CVE-2013-6437)
      LP: 1253980
    - [6ad8842] Compute rpc breaks live upgrade from havana to icehouse
      LP: 1258253
    - [311c786] Compute rpc breaks live upgrade from havana to icehouse
      LP: 1258253
    - [c91ad01] VM do not resume if attach an volume when suspended LP: 1241337
    - [e7b2e3a] Grizzly -> Havana nova upgrade failure: Cannot drop index
      'instance_uuid' LP: 1245502
    - [3ef8611] [OSSA 2014-001] Insecure directory permissions with snapshot
      code (CVE-2013-7048) LP: 1227027
    - [d222d2a] test_different_fname_concurrency flakey fail LP: 1270654
    - [1a3985c] unit test failure in gate
      nova.tests.db.test_sqlite.TestSqlite.test_big_int_mapping LP: 1271331
    - [950440b] _last_vol_usage_poll was not properly updated LP: 1270693
    - [05dfdb9] support stevedore >= 0.14
    - [662c762] VMware: unnecesary session termination LP: 1265512
    - [6da22e2] libvirt wait_for_block_job_info can infinitely loop LP: 1260123
    - [6ed48aa] update security group raise HttpError500 exception LP: 1244018
    - [04209bf] publish_errors cfg option is broken LP: 1240349
    - [4f947f5] UnboundLocalError: local variable 'network_name' referenced
      before assignment LP: 1246258
    - [442fb63] Security Group extension reads all Neutron ports for anything
      other that a single server LP: 1228384
    - [7620252] [OSSA 2014-003] Live migration can leak root disk into
      ephemeral storage (CVE-2013-7130) LP: 1251590
    - [5cb4d55] Errored instance can't be deleted if volume deleted first
      LP: 1222979
    - [c09a51c] live migration fails when using non-image backed disk
      LP: 1257355
    - [a3d861f] Network cache not correctly updated during "interface-attach"
      LP: 1223859
    - [2c44ed7] vmware driver does not work with more than one datacenter in vC
      LP: 1214850
    - [abacc29] nova compute hang with file injection off, config drive off,
      neutron networking LP: 1276268
    - [2abcc4e] boto 2.25 causing unit tests to fail LP: 1277790
    - [bcdc813] NoopQuotaDriver returns usages incorrect format LP: 1244842
 -- Chuck Short <email address hidden> Tue, 25 Feb 2014 09:43:16 -0500

Changed in nova (Ubuntu Saucy):
status: Fix Committed → Fix Released
James Page (james-page) wrote :

Updated packages also released to the Ubuntu Cloud Archive for Havana

Changed in cloud-archive:
status: Fix Committed → Fix Released

Hello Chuck, or anyone else affected,

Accepted neutron into saucy-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/neutron/1:2013.2.3-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: removed: verification-done
tags: added: verification-needed
Chris J Arges (arges) wrote :
tags: added: verification-done
removed: verification-needed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers